pkgsrc-Changes archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

Re: CVS commit: pkgsrc/lang

Matthias Drochner <> writes:

> On Tue, 9 Oct 2012 18:25:52 +0400
> Aleksej Saushev <> wrote:
>> Why do we need so many Vala versions in pkgsrc??
> Many vala programs build only with a specific major version of
> vala, and it is usually easier to use the required version
> than to patch the program. It seems that vala is stabilizing
> and incompatibilities are less in more recent versions.
> Note that these are usually build-time dependencies.
>> Could we purge some?
> 0.12 (which is just lang/vala for historical reasons) is needed
> for graphics/shotwell which is the last shotwell version which
> doesn't need gtk3 and is worth keeping for a while.
> Most pkgs use 0.16 which was the most recent one until today.
> It should be checked now whether they build with 0.18 as well,
> which could make 0.16 dispensable. I can't do this right now
> because the recent revbumps made a mess of my tree, and it will
> take at least the rest of the week to clean up.
> 0.14 has some uses too, in pkgs I'm not familiar with.

Thank you for clarification!


Home | Main Index | Thread Index | Old Index